<h4>Formularios <small>Template</small></h4>
<hr>

<div class="container">
  <form (ngSubmit) ="guardar()" #forma = "ngForm">
    <div class="row">

      <div class="col-5">
        <label for="fname" class="lbl">Nombre</label> 
      </div>

      <div>
        <input 
        type="text" 
        id = "fname" 
        placeholder="Nombre"       
        name="nombre"
        class="txtbox" name = "nombre" 
        [(ngModel)] = "persona.nombre"
        required 
        minlength="4" 
        #nombre= "ngModel" 
        [class.is-invalid] ="nombre.invalid && nombre.touched" 
        pattern="^[a-zA-ZñÑ\s]+$" >

      <small class="text-danger" *ngIf ="nombre.invalid && nombre.touched">Ingrese mas de 3 letras</small> 
      </div>
    </div>


    <div class="row">
      <div class="col-5">
        <label for="flastName" class="lbl">Apellido</label> 
      </div>
      <div>
        <input type="text" 
        id = "flastName" 
        placeholder="Apellido" 
        class="txtbox"
        name="apellido"
        [(ngModel)] = "persona.apellido"
        required minlength="4" 
        #apellido= "ngModel" 
        [class.is-invalid] ="apellido.invalid && apellido.touched" 
        pattern="^[a-zA-ZñÑ\s]+$">
        <small class="text-danger" *ngIf ="apellido.invalid && apellido.touched">Ingrese mas de 3 letras</small>
      </div>
    </div>



    
      <div class="row">
        <div class="col-5">
          <label for="femail" class="lbl">Email</label> 
        </div>
        <div>
          <input type="text"
           id = "femail" 
           placeholder="Correo Electronico"
           class="txtbox"
           name="correo"
           [(ngModel)] = "persona.nombre"
           required
            minlength="4" 
           #correo= "ngModel" 
           [class.is-invalid] ="correo.invalid && correo.touched" 
           pattern="^(([^<>()\[\]\.,;:\s@\”]+(\.[^<>()\[\]\.,;:\s@\”]+)*)|(\”.+\”))@(([^<>()[\]\.,;:\s@\”]+\.)+[^<>()[\]\.,;:\s@\”]{2,})$"
           >
           <small class="text-danger" *ngIf="correo.invalid && correo.touched">Ingrese mas de 3 letras</small>
        </div>
    </div>

    <div class="row">
      <div class="col-5">
          <label for="fpais" class="lbl">Pais</label>
        </div>
        
      <div>
        <select name="pais" 
        id="fpais"
        class ="cmbbox"
        ngModel
        required
        [disabled]= "paises.length === 0"
        [(ngModel)]= "persona.pais"
        #pais = "ngModel"
        [class.is-invalid] ="pais.invalid && pais.touched" 
        >
      <option *ngFor ="let pais of paises" [value] ="pais.codigo">{{pais.nombre}}</option>
    </select>
    <small class="text-danger" *ngIf ="pais.invalid && pais.touched">Igrese un pais</small>
      </div>
      </div>


      <div class="row">
        <div class="col-5">
          <label class="lbl">Genero</label> 
        </div>
        <div class="una-linea radiobtn">
          <input 
          type="radio"
           id = "fgenero-masculino" 
           name="genero"
           ngModel 
           value="M"          
           required
           #genero = "ngModel"
           [(ngModel)] = "persona.genero"
           >
           <label for = "fgenero-masculino"></label>
           
        </div>
        </div>


        <div class="row">
          <div class="col-5">
            <label class="lbl">Genero</label> 
          </div>
          <div class="una-linea radiobtn">
            <input 
            type="radio"
             id = "fgenero-femenino" 
             name="genero"
             ngModel 
             value="M"          
             required
             #genero = "ngModel"
             [(ngModel)] = "persona.genero"
             >
             <label for = "fgenero-femenino"></label>
             
          </div>
          </div>






      
      

        <div class="row">
          <div class="alinea-btn">
            <button type="submit" class="btn" [disabled] ="!forma.valid">Guardar</button>
          </div>
      </div>
    
  </form>
</div>

<!-- [disabled] ="!forma.valid"...habilitar o desabilitar el boton -->
